Subject: RE: [manet] Ordering of messages in 802.11

From: "Manfredi, Albert E" <[email-masked]>
Date: Sun, 28 Sep 2003 18:33:37 -0400

> -----Original Message-----
> From: Justin Lipman [mailto:[email-masked]]
> Sent: Saturday, September 27, 2003 11:52 PM
> To: manet
> Cc: Grzegorz Jablonski

> > So the question is, for any two nodes, are all 'common' 
> messages - received
> > by both nodes - received in the same order by each node?
> > I made an experiment which would suggest the answer is yes, 
> and it's what I
> > assume. But if only routing was involved, the answer should 
> be no. After
> > reading 802.11 spec, I'm still not sure if my assumption is right.
> 
> 
> If I understand your question correctly then my answer 
> regarding a multihop 
> scenario would be possibly  "no".

Hmmm. We're only talking an IEEE 802.11 as hoc network here, so I think the answer has to be yes. There's no routing involved. The hosts on this network must all be able to monitor the channel, much like hosts in a single, half-duplex, wired Ethernet LAN.

I think the reception times of frames will differ slightly between hosts, of course, but I think the reception order should be identical.

Now, if you go beyond the range of the single ad-hoc "basic service set," in order to reach other hosts in the 802.11 network, you will have to rely on the "distributed service" function, which means you'll have to install "access points." At this point, I think it's possible fort frames in different wireless domains will be ordered differently. But this is not a single ad-hoc 802.11 network, either.

That's my take on this.

Bert

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet